Get Contract Customers Using GET
This request returns the customer list. Supported selectors: name, country, postCode.
Pre-authorized roles: Administrator, Auto Report Operations, Operations, Read Only
Request
URI
GET
https://{api_host}//vcp.vmware.com/api/provider/v1/contracts/customers
COPY
Query Parameters
string
filter
Optional
FIQL format
Responses
200
OK
Returns
PageOfcontractCustomer
of type(s)
application/json
{
"content": [
{
"customerId": "0102329233",
"name": "xxx Company",
"address1": "1 S Main St, San Francisco",
"address2": "1 S Main St, San Francisco",
"country": "US",
"city": "New York",
"state": "California",
"postalCode": 94105
}
],
"total": 1
}
integer As int64
As int64
total
Optional
total
400
Bad Request
Operation doesn't return any data structure
401
Unauthorized
Operation doesn't return any data structure
403
Forbidden
Operation doesn't return any data structure